## kdevelop-pg-qt 0.9.82

=== examples/php/CMakeLists.txt ===
project(php_lexer)  

set(parser_STAT_SRCS
  phptest.cpp
)

SET(KDEVPGQT_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/../../kdev-pg/kdev-pg-qt)
include(${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules/FindKDevelop-PG-Qt.cmake)

kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT GENERATE_LEXER
    "${CMAKE_CURRENT_SOURCE_DIR}/php.g"
)

add_definitions(-fexceptions)

add_executable( phptest ${parser_SRCS} ${parser_STAT_SRCS} )
target_link_libraries( phptest
${QT_QTCORE_LIBRARY}
)

## kdevelop-pg-qt 0.9.5

=== debian/changelog ===
kdevelop-pg-qt (0.9.5-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Apr 2011 14:05:12 +0200

kdevelop-pg-qt (0.9.0-0ubuntu1) natty; urgency=low

  * Initial Package PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Oct 2010 17:49:11 +0100

=== debian/control ===
Source: kdevelop-pg-qt
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev
Standards-Version: 3.9.1
Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction

Package: kdevelop-pg-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parser generator for generating readable source-code
 KDevelop-PG-Qt is a parser generator written in readable source-code
 and generating readable source-code. Its syntax was inspirated by
 AntLR. It implements the visitor-pattern and uses the Qt
 library. That is why it is ideal to be used in Qt-/KDE-based
 applications like KDevelop.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --with kde

override_dh_auto_test:
	true

## kdevelop-pg-qt 0.9.82

=== debian/changelog ===
kdevelop-pg-qt (0.9.82-0ubuntu1) precise; urgency=low

  * New upstream release
    - Drop fix_portability_issues.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 17 Jan 2012 22:18:56 +0530

kdevelop-pg-qt (0.9.5-2) unstable; urgency=low

  * Fix a couple of portability issues (armel, all big endian arches). This
    should enable kdevelop-php to build on them (fix_portability_issues.diff).

 -- Modestas Vainius <modax@debian.org>  Mon, 06 Jun 2011 02:42:41 +0300

kdevelop-pg-qt (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #578240)

 -- Fathi Boudra <fabo@debian.org>  Sat, 04 Jun 2011 12:14:52 +0300

=== debian/control ===
Source: kdevelop-pg-qt
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), bison, flex,
 libqt4-dev (>= 4.5.3)
Standards-Version: 3.9.2
Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-pg-qt.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-pg-qt.git

Package: kdevelop-pg-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LL(1) parser generator based on Qt
 KDevelop-PG-Qt is a parser generator written in readable source-code and
 generating readable source-code. Its syntax was inspirated by AntLR.
 It implements the visitor-pattern and uses the Qt library.
 .
 This package contains the kdev-pg-qt binary, the headers files generated by
 the KDevelop parser generator and the cmake file to find the parser.

## kdevelop-pg-qt 1.0.0

=== kdev-pg/CMakeLists.txt ===

PROJECT(kdevpg)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
REMOVE_DEFINITIONS(-DQT_NO_STL)
ADD_DEFINITIONS(-DQT_STL)
if(CMAKE_COMPILER_IS_GNUCC)
    add_definitions(-fexceptions)
endif(CMAKE_COMPILER_IS_GNUCC)

QT4_ADD_RESOURCES(kdevpg_rcc_srcs ../unidata.qrc)

SET(kdevpg_srcs
    ASBeautifier.cpp
    ASFormatter.cpp
    ASResource.cpp
    ASEnhancer.cpp
    kdev-pg.cpp
    kdev-pg-visitor.cpp
    kdev-pg-default-visitor.cpp
    kdev-pg-pretty-printer.cpp
    kdev-pg-global.cpp
    kdev-pg-code-gen.cpp
    kdev-pg-ast-gen.cpp
    kdev-pg-visitor-gen.cpp
    kdev-pg-visitor-bits-gen.cpp
    kdev-pg-default-visitor-gen.cpp
    kdev-pg-default-visitor-bits-gen.cpp
    kdev-pg-serialize-visitor-gen.cpp
    kdev-pg-debug-visitor-gen.cpp
    kdev-pg-new-visitor-gen.cpp
    kdev-pg-new-visitor-bits-gen.cpp
    kdev-pg-token-type-gen.cpp
    kdev-pg-beautifier.cpp
    kdev-pg-checker.cpp
    kdev-pg-inline-checker.cpp
    kdev-pg-main.cpp
    kdev-pg-generate.cpp
    kdev-pg-first.cpp
    kdev-pg-follow.cpp
    kdev-pg-bnf-visitor.cpp
    kdev-pg-clone-tree.cpp
    kdev-pg-regexp.cpp
    kdev-pg-unicode-loader.cpp)


# Custom support for flex/bison
SET(parser_srcs)

IF(BISON_EXECUTABLE)
    # Add command to run the parser.
    ADD_CUSTOM_COMMAND(
        OUTPUT  "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc"
                "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.yy"
        COMMAND ${BISON_EXECUTABLE}
        ARGS    -o"${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc"
                -d "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.yy"
        )

    SET(parser_srcs ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc)
    SET_SOURCE_FILES_PROPERTIES(
        ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc
        ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh
        GENERATED
        )
    SET(OPTIONAL_PARSER_HEADER_DEPENDENCY "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh")
ELSE(BISON_EXECUTABLE)
    MESSAGE("'bison' was not found!")
    MESSAGE("Assuming existence of the generated parser files kdev-pg-parser.[hh,cc]")
    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.cc)
    SET(OPTIONAL_PARSER_HEADER_DEPENDENCY "")
ENDIF(BISON_EXECUTABLE)

IF(FLEX_EXECUTABLE)
    # Add command to run the lexer.
    ADD_CUSTOM_COMMAND(
        OUTPUT  "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.ll"
                 ${OPTIONAL_PARSER_HEADER_DEPENDENCY}
        COMMAND ${FLEX_EXECUTABLE}
        ARGS    --nounistd -o"${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc"
                "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.ll"
        )

    SET(parser_srcs ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc ${parser_srcs})
    SET_SOURCE_FILES_PROPERTIES(
        ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc
        GENERATED
        )
ELSE(FLEX_EXECUTABLE)
    MESSAGE("'flex' was not found!")
    MESSAGE("Assuming existence of the generated lexer file kdev-pg-lexer.cc")
    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.cc ${parser_srcs})
ENDIF(FLEX_EXECUTABLE)


# tell CMake to generate the executable
ADD_EXECUTABLE(kdev-pg-qt ${parser_srcs} ${kdevpg_srcs} ${kdevpg_rcc_srcs})
TARGET_LINK_LIBRARIES( kdev-pg-qt ${QT_QTCORE_LIBRARY})
INSTALL(TARGETS kdev-pg-qt DESTINATION bin )

# in order to generate only the parser, call "make parser"
ADD_CUSTOM_TARGET(parser echo "Generating the parser"
    DEPENDS ${parser_srcs}
    )

=== cmake/modules/CMakeLists.txt ===
# install the cmake files

set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KDevelop-PG-Qt)
set(cmakeFiles KDevelop-PG-QtConfig.cmake KDevelop-PG-QtConfigVersion.cmake)
install( FILES ${cmakeFiles} DESTINATION ${CMAKECONFIG_INSTALL_DIR} )

=== examples/php/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,12 @@
 )
 
 SET(KDEVPGQT_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/../../kdev-pg/kdev-pg-qt)
-include(${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules/FindKDevelop-PG-Qt.cmake)
+include(${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules/KDevelop-PG-QtConfig.cmake)
 
 kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT GENERATE_LEXER
     "${CMAKE_CURRENT_SOURCE_DIR}/php.g"
 )
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_definitions(-fexceptions)

=== debian/changelog ===
kdevelop-pg-qt (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * New upstream patch: upstream_fix-some-warnings (Closes: #733390)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Apr 2014 15:06:27 +0200

kdevelop-pg-qt (1.0.0-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 20 May 2012 10:33:40 +0200

kdevelop-pg-qt (1.0.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Remove patch fix_portability_issues.diff (applied upstream).

  [ Pino Toscano ]
  * Add a watch file.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper build dependency and compat to 9.
  * Fix the installation of the cmake config files if there is no KDE4 stuff
    available (patch fix_cmake_installation.diff).

 -- Pino Toscano <pino@debian.org>  Sun, 25 Mar 2012 16:20:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: kdevelop-pg-qt
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), bison, flex,
+Build-Depends: debhelper (>= 9), cmake (>= 2.8.0), bison, flex,
  libqt4-dev (>= 4.5.3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-pg-qt.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-pg-qt.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop-pg-qt/([\d.]+)/src/kdevelop-pg-qt-([\d.]+).tar.bz2

## kdevelop-pg-qt 2.0

=== CMakeLists.txt ===
# KDEVELOP_PG_QT version
set(KDEVELOP_PG_QT_VERSION_MAJOR 2)
set(KDEVELOP_PG_QT_VERSION_MINOR 0)
set(KDEVELOP_PG_QT_VERSION_PATCH 0)
set(KDEVELOP_PG_QT_VERSION "${KDEVELOP_PG_QT_VERSION_MAJOR}.${KDEVELOP_PG_QT_VERSION_MINOR}.${KDEVELOP_PG_QT_VERSION_PATCH}")

cmake_minimum_required(VERSION 2.8.12)
project(kdevelop-pg-qt)

enable_testing()

find_package(ECM 1.1.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMAddTests)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)

set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KDevelop-PG-Qt)
ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDevelop-PG-QtConfig.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/KDevelop-PG-QtConfig.cmake"
                                  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)
ecm_setup_version(${KDEVELOP_PG_QT_VERSION_MAJOR}.${KDEVELOP_PG_QT_VERSION_MINOR}.${KDEVELOP_PG_QT_VERSION_PATCH}
                  VARIABLE_PREFIX KDEVELOP_PG_QT
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdevelop-pg-qt_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDevelop-PG-QtConfigVersion.cmake"
                  SOVERSION ${KDEVELOP_PG_QT_LIB_SOVERSION}
)
install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/kdevelop-pg-qt_version.h"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR}/kdevelop-pg-qt")
install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KDevelop-PG-QtConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KDevelop-PG-QtConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}" )

set(REQUIRED_QT_VERSION 5.2.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Test)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

find_program(FLEX_EXECUTABLE
  NAMES flex
  PATHS /usr/bin
  DOC "Flex executable")

find_program(BISON_EXECUTABLE
  NAMES bison
  PATHS /usr/bin
  DOC "bison executable")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_DEPRECATED_WARNINGS -DQT_DISABLE_DEPRECATED_BEFORE=0x050400)

# Silence a few warnings
if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers -Wno-unused-local-typedefs")
endif()

add_subdirectory(include)
add_subdirectory(kdev-pg)
add_subdirectory(examples EXCLUDE_FROM_ALL)
add_subdirectory(tests)

include(CTest)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kdev-pg/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,11 @@
-
 PROJECT(kdevpg)
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
 REMOVE_DEFINITIONS(-DQT_NO_STL)
 ADD_DEFINITIONS(-DQT_STL)
-if(CMAKE_COMPILER_IS_GNUCC)
-    add_definitions(-fexceptions)
-endif(CMAKE_COMPILER_IS_GNUCC)
 
-QT4_ADD_RESOURCES(kdevpg_rcc_srcs ../unidata.qrc)
+QT5_ADD_RESOURCES(kdevpg_rcc_srcs ../unidata.qrc)
+kde_enable_exceptions()
 
 SET(kdevpg_srcs
     ASBeautifier.cpp
@@ -97,7 +94,7 @@
 
 # tell CMake to generate the executable
 ADD_EXECUTABLE(kdev-pg-qt ${parser_srcs} ${kdevpg_srcs} ${kdevpg_rcc_srcs})
-TARGET_LINK_LIBRARIES( kdev-pg-qt ${QT_QTCORE_LIBRARY})
+TARGET_LINK_LIBRARIES( kdev-pg-qt Qt5::Core)
 INSTALL(TARGETS kdev-pg-qt DESTINATION bin )
 
 # in order to generate only the parser, call "make parser"

=== examples/cc/CMakeLists.txt ===

PROJECT(cc_parser)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
ADD_DEFINITIONS(-DQT_NO_STL)


# autogenerate the lexer and the parser

SET(parser_srcs)

FIND_PROGRAM(FLEX_EXECUTABLE
    NAMES flex
    PATHS /usr/bin
    DOC "Flex executable")


SET(KDEVPGQT_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/../../kdev-pg/kdev-pg-qt)
SET(KDEVPGQT_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/../../../include)
include(${CMAKE_CURRENT_BINARY_DIR}/../../KDevelop-PG-QtConfig.cmake)
kdevpgqt_generate(parser_srcs cc NAMESPACE cc
    "${CMAKE_CURRENT_SOURCE_DIR}/cc.g"
)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

IF(FLEX_EXECUTABLE)
    # Add command to generate the lexer.
    ADD_CUSTOM_COMMAND(
        OUTPUT  "${CMAKE_CURRENT_SOURCE_DIR}/cclexer.cpp"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/cc.ll"
                "${CMAKE_CURRENT_SOURCE_DIR}/FlexLexer.h"
                "${CMAKE_CURRENT_BINARY_DIR}/ccparser.h"
        COMMAND ${FLEX_EXECUTABLE}
        ARGS    -o"cclexer.cpp"
                "cc.ll"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )

    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/cclexer.cpp ${parser_srcs})

    SET_SOURCE_FILES_PROPERTIES(
        ${CMAKE_CURRENT_SOURCE_DIR}/cclexer.cpp
        GENERATED
        )
ELSE(FLEX_EXECUTABLE)
    MESSAGE("--- Assuming existence of the generated lexer file cclexer.cpp")
    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/cclexer.cpp ${parser_srcs})
ENDIF(FLEX_EXECUTABLE)


SET(cc_parser_srcs
    ${parser_srcs}
    main.cpp
    dumptree.cpp
)


# add definitions, compiler switches, etc.
ADD_DEFINITIONS(-Wall -O2)

# tell CMake to generate the executable
ADD_EXECUTABLE(cc-parser ${cc_parser_srcs})

TARGET_LINK_LIBRARIES( cc-parser Qt5::Core)

=== examples/cool/CMakeLists.txt ===

PROJECT(cool_parser)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
REMOVE_DEFINITIONS(-DQT_NO_STL)
ADD_DEFINITIONS(-DQT_STL)


# autogenerate the lexer and the parser

SET(parser_srcs)

SET(KDEVPGQT_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/../../kdev-pg/kdev-pg-qt)
SET(KDEVPGQT_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/../../../include)
include(${CMAKE_CURRENT_BINARY_DIR}/../../KDevelop-PG-QtConfig.cmake)
kdevpgqt_generate(parser_srcs cool NAMESPACE cool
    "${CMAKE_CURRENT_SOURCE_DIR}/cool.g"
)
include_directories(${CMAKE_CURRENT_BINARY_DIR})


IF(FLEX_EXECUTABLE)
    # Add command to generate the lexer.
    ADD_CUSTOM_COMMAND(
        OUTPUT  "${CMAKE_CURRENT_SOURCE_DIR}/cool_lexer.cpp"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/cool_lexer.ll"
                "${CMAKE_CURRENT_SOURCE_DIR}/cool_lexer.h"
                "${CMAKE_CURRENT_BINARY_DIR}/coolparser.h"
        COMMAND ${FLEX_EXECUTABLE}
        ARGS    -o"cool_lexer.cpp"
                "cool_lexer.ll"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )

    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/cool_lexer.cpp ${parser_srcs})

    SET_SOURCE_FILES_PROPERTIES(
        ${CMAKE_CURRENT_SOURCE_DIR}/cool_lexer.cpp
        GENERATED
        )
ELSE(FLEX_EXECUTABLE)
    MESSAGE("--- Assuming existence of the generated lexer file cool_lexer.cpp")
    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/cool_lexer.cpp ${parser_srcs})
ENDIF(FLEX_EXECUTABLE)


SET(assembled_parser_srcs
    ${parser_srcs}
    decoder.cpp
    cool_io.cpp
)


# add definitions, compiler switches, etc.
ADD_DEFINITIONS(-Wall -O2)

# tell CMake to generate the executable
ADD_EXECUTABLE(cool-parser ${assembled_parser_srcs} main.cpp)

TARGET_LINK_LIBRARIES( cool-parser Qt5::Core)

=== examples/fact/CMakeLists.txt ===

PROJECT(fact_parser)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})


find_package(KDevelop-PG-Qt)

kdevpgqt_generate(_kdevpgList fact NAMESPACE fact DEBUG_VISITOR
    "${CMAKE_CURRENT_SOURCE_DIR}/fact.g"
    "${CMAKE_CURRENT_SOURCE_DIR}/factlexer.h"
)

set( parser_SRCS
    ${_kdevpgList}
)

SET(assembled_parser_srcs
    factlexer.cpp
)


# add definitions, compiler switches, etc.
ADD_DEFINITIONS(-Wall -O2)

# tell CMake to generate the executable
ADD_EXECUTABLE(fact-parser ${assembled_parser_srcs} ${parser_SRCS} main.cpp)

target_link_libraries(fact-parser Qt5::Core)

=== examples/foolisp/CMakeLists.txt ===
project(foolisp_lexer)

set(parser_STAT_SRCS
    foolisptest.cpp
    )

SET(KDEVPGQT_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/../../kdev-pg/kdev-pg-qt)
SET(KDEVPGQT_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/../../../include)
include(${CMAKE_CURRENT_BINARY_DIR}/../../KDevelop-PG-QtConfig.cmake)
kdevpgqt_generate(parser_SRCS foolisp NAMESPACE FooLisp DEBUG_VISITOR TOKEN_TEXT GENERATE_LEXER
    "${CMAKE_CURRENT_SOURCE_DIR}/foolisp.g"
)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable( foolisptest ${parser_SRCS} ${parser_STAT_SRCS} )
target_link_libraries( foolisptest Qt5::Core)

=== examples/php/CMakeLists.txt ===
project(php_lexer)

set(parser_STAT_SRCS
  phptest.cpp
)

SET(KDEVPGQT_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/../../kdev-pg/kdev-pg-qt)
include(${CMAKE_CURRENT_BINARY_DIR}/../../KDevelop-PG-QtConfig.cmake)

kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT GENERATE_LEXER
    "${CMAKE_CURRENT_SOURCE_DIR}/php.g"
)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-fexceptions)

add_executable( phptest ${parser_SRCS} ${parser_STAT_SRCS} )
target_link_libraries( phptest Qt5::Core)

=== debian/changelog ===
kdevelop-pg-qt (2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 22:42:10 +0200

kdevelop-pg-qt (2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update the patches:
    - upstream_fix-some-warnings: drop, backported from upstream
    - fix_cmake_installation.diff: drop, fixed upstream
  * Update the build dependencies following the port to Qt5:
    - remove libqt4-dev
    - add extra-cmake-modules, and qtbase5-dev
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Bump the cmake build dependency to >= 2.8.12, according to the upstream
    build system.
  * Enable the test suite, which seems to be working fine.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Aug 2016 19:14:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.0), bison, flex,
- libqt4-dev (>= 4.5.3)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake (>= 2.8.12), bison, flex,
+ extra-cmake-modules (>= 1.1.0),
+ qtbase5-dev (>= 5.2),
+Standards-Version: 3.9.8
 Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-pg-qt.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-pg-qt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-pg-qt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-pg-qt.git/
 
 Package: kdevelop-pg-qt
 Architecture: any

=== debian/watch ===
version=4

http://download.kde.org/stable/kdevelop-pg-qt/([\d.]+)/src/kdevelop-pg-qt-([\d.]+).tar.xz

## kdevelop-pg-qt 2.1.0

=== include/CMakeLists.txt ===
install( FILES
    kdev-pg-allocator.h
    kdev-pg-location-table.h
    kdev-pg-memory-pool.h
    kdev-pg-token-stream.h
    kdev-pg-list.h
    kdev-pg-char-sets.h
    DESTINATION include/kdevelop-pg-qt )

=== kdev-pg/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-PROJECT(kdevpg)
-
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
 REMOVE_DEFINITIONS(-DQT_NO_STL)
 ADD_DEFINITIONS(-DQT_STL)
@@ -42,8 +40,6 @@
 
 
 # Custom support for flex/bison
-SET(parser_srcs)
-
 IF(BISON_EXECUTABLE)
     # Add command to run the parser.
     ADD_CUSTOM_COMMAND(
@@ -51,11 +47,11 @@
                 "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh"
         DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.yy"
         COMMAND ${BISON_EXECUTABLE}
-        ARGS    -o"${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc"
+        ARGS    -o "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc"
                 -d "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.yy"
         )
 
-    SET(parser_srcs ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc)
+    SET(parser_src ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc)
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh
@@ -65,7 +61,7 @@
 ELSE(BISON_EXECUTABLE)
     MESSAGE("'bison' was not found!")
     MESSAGE("Assuming existence of the generated parser files kdev-pg-parser.[hh,cc]")
-    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.cc)
+    SET(parser_src ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.cc)
     SET(OPTIONAL_PARSER_HEADER_DEPENDENCY "")
 ENDIF(BISON_EXECUTABLE)
 
@@ -76,11 +72,11 @@
         DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.ll"
                  ${OPTIONAL_PARSER_HEADER_DEPENDENCY}
         COMMAND ${FLEX_EXECUTABLE}
-        ARGS    --nounistd -o"${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc"
+        ARGS    --yymore --nounistd -o "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc"
                 "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.ll"
         )
 
-    SET(parser_srcs ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc ${parser_srcs})
+    SET(lexer_src ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc)
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc
         GENERATED
@@ -88,16 +84,18 @@
 ELSE(FLEX_EXECUTABLE)
     MESSAGE("'flex' was not found!")
     MESSAGE("Assuming existence of the generated lexer file kdev-pg-lexer.cc")
-    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.cc ${parser_srcs})
+    SET(lexer_src ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.cc)
 ENDIF(FLEX_EXECUTABLE)
+set_source_files_properties(${lexer_src} PROPERTIES COMPILE_FLAGS "-DYY_NO_INPUT -DYY_NO_UNPUT")
 
 
 # tell CMake to generate the executable
-ADD_EXECUTABLE(kdev-pg-qt ${parser_srcs} ${kdevpg_srcs} ${kdevpg_rcc_srcs})
+ADD_EXECUTABLE(kdev-pg-qt ${parser_src} ${lexer_src} ${kdevpg_srcs} ${kdevpg_rcc_srcs})
+ecm_mark_nongui_executable(kdev-pg-qt)
 TARGET_LINK_LIBRARIES( kdev-pg-qt Qt5::Core)
 INSTALL(TARGETS kdev-pg-qt DESTINATION bin )
 
 # in order to generate only the parser, call "make parser"
 ADD_CUSTOM_TARGET(parser echo "Generating the parser"
-    DEPENDS ${parser_srcs}
+    DEPENDS ${parser_src} ${lexer_src}
     )

=== examples/cc/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,5 @@
-
-PROJECT(cc_parser)
-
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
 ADD_DEFINITIONS(-DQT_NO_STL)
-
 
 # autogenerate the lexer and the parser

=== examples/cool/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
-
-PROJECT(cool_parser)
-
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
 REMOVE_DEFINITIONS(-DQT_NO_STL)
 ADD_DEFINITIONS(-DQT_STL)
-
 
 # autogenerate the lexer and the parser

=== examples/fact/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
-
-PROJECT(fact_parser)
-
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
-
 
 find_package(KDevelop-PG-Qt)

=== debian/changelog ===
kdevelop-pg-qt (2.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879334)

  [ Pino Toscano ]
  * New upstream release.
  * Simplify the watch file, switching it to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Switch Homepage to https.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2017 14:07:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
 Build-Depends: debhelper (>= 9), cmake (>= 2.8.12), bison, flex,
  extra-cmake-modules (>= 1.1.0),
  qtbase5-dev (>= 5.2),
-Standards-Version: 3.9.8
-Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
+Standards-Version: 4.1.1
+Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-pg-qt.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-pg-qt.git/

## kdevelop-pg-qt 2.1.0+qtbuild

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
+cmake_minimum_required(VERSION 2.8.12)
+
 # KDEVELOP_PG_QT version
 set(KDEVELOP_PG_QT_VERSION_MAJOR 2)
-set(KDEVELOP_PG_QT_VERSION_MINOR 0)
+set(KDEVELOP_PG_QT_VERSION_MINOR 1)
 set(KDEVELOP_PG_QT_VERSION_PATCH 0)
 set(KDEVELOP_PG_QT_VERSION "${KDEVELOP_PG_QT_VERSION_MAJOR}.${KDEVELOP_PG_QT_VERSION_MINOR}.${KDEVELOP_PG_QT_VERSION_PATCH}")
 
-cmake_minimum_required(VERSION 2.8.12)
 project(kdevelop-pg-qt)
 
 enable_testing()
@@ -12,13 +13,14 @@
 find_package(ECM 1.1.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddTests)
+include(ECMMarkNonGuiExecutable)
 include(ECMPackageConfigHelpers)
 include(ECMSetupVersion)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
 include(FeatureSummary)
 include(WriteBasicConfigVersionFile)
 
@@ -60,7 +62,7 @@
 add_definitions(-DQT_DEPRECATED_WARNINGS -DQT_DISABLE_DEPRECATED_BEFORE=0x050400)
 
 # Silence a few warnings
-if (CMAKE_COMPILER_IS_GNUCXX)
+if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers -Wno-unused-local-typedefs")
 endif()

=== debian/changelog ===
kdevelop-pg-qt (2.1.0+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jan 2021 13:52:06 +0800

## kdevelop-pg-qt 2.2.0

=== debian/changelog ===
kdevelop-pg-qt (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Update build dependencies according to the upstream build system:
    - bump cmake to >= 3.0
    - bump extra-cmake-modules to >= 5.14.0
    - bump qtbase5-dev to >= 5.5.0
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Jul 2019 06:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.12), bison, flex,
- extra-cmake-modules (>= 1.1.0),
- qtbase5-dev (>= 5.2),
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11~), cmake (>= 3.0), bison, flex,
+ extra-cmake-modules (>= 5.14.0),
+ qtbase5-dev (>= 5.5.0),
+Standards-Version: 4.4.0
 Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-pg-qt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-pg-qt.git/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt
 
 Package: kdevelop-pg-qt
 Architecture: any

## kdevelop-pg-qt 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(kdevelop-pg-qt VERSION 2.2.1)

find_package(ECM 5.14.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(ECMSetupVersion)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CMakePackageConfigHelpers)

set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KDevelop-PG-Qt)
configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDevelop-PG-QtConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KDevelop-PG-QtConfig.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)
ecm_setup_version(${kdevelop-pg-qt_VERSION_MAJOR}.${kdevelop-pg-qt_VERSION_MINOR}.${kdevelop-pg-qt_VERSION_PATCH}
                  VARIABLE_PREFIX KDEVELOP_PG_QT
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdevelop-pg-qt_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDevelop-PG-QtConfigVersion.cmake"
                  SOVERSION ${KDEVELOP_PG_QT_LIB_SOVERSION}
)
install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/kdevelop-pg-qt_version.h"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR}/kdevelop-pg-qt")
install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KDevelop-PG-QtConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KDevelop-PG-QtConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}" )

if(BUILD_TESTING)
  set(REQUIRED_QT_TESTCOMPONENTS Test)
endif()
set(REQUIRED_QT_VERSION 5.5.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
  COMPONENTS
    Core
    ${REQUIRED_QT_TESTCOMPONENTS}
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

find_program(FLEX_EXECUTABLE
  NAMES flex
  PATHS /usr/bin
  DOC "Flex executable")

find_program(BISON_EXECUTABLE
  NAMES bison
  PATHS /usr/bin
  DOC "bison executable")

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050500
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_STRICT_ITERATORS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_CAST_TO_ASCII
)

# Silence a few warnings
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers -Wno-unused-local-typedefs")
endif()

add_subdirectory(include)
add_subdirectory(kdev-pg)
add_subdirectory(examples EXCLUDE_FROM_ALL)

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

include(CTest)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/CMakeLists.txt ===
ADD_SUBDIRECTORY(cc)
ADD_SUBDIRECTORY(cool)
#ADD_SUBDIRECTORY(fact)
ADD_SUBDIRECTORY(foolisp)
add_subdirectory(php)

=== kdev-pg/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,9 @@
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh
-        GENERATED
+        PROPERTIES
+            GENERATED TRUE
+            SKIP_AUTOMOC ON
         )
     SET(OPTIONAL_PARSER_HEADER_DEPENDENCY "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh")
 ELSE(BISON_EXECUTABLE)
@@ -79,7 +81,9 @@
     SET(lexer_src ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc)
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc
-        GENERATED
+        PROPERTIES
+            GENERATED TRUE
+            SKIP_AUTOMOC ON
         )
 ELSE(FLEX_EXECUTABLE)
     MESSAGE("'flex' was not found!")

=== examples/cc/CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,9 @@
 
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_SOURCE_DIR}/cclexer.cpp
-        GENERATED
+        PROPERTIES
+            GENERATED TUE
+            SKIP_AUTOMOC ON
         )
 ELSE(FLEX_EXECUTABLE)
     MESSAGE("--- Assuming existence of the generated lexer file cclexer.cpp")

=== examples/cool/CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,9 @@
 
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_SOURCE_DIR}/cool_lexer.cpp
-        GENERATED
+        PROPERTIES
+            GENERATED TRUE
+            SKIP_AUTOMOC ON
         )
 ELSE(FLEX_EXECUTABLE)
     MESSAGE("--- Assuming existence of the generated lexer file cool_lexer.cpp")

=== debian/changelog ===
kdevelop-pg-qt (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 846f186291ff26ccf320c0c0e85eccf15782ea68 to help
    building in a reproducible way; patch
    upstream_build-generate-flex-bison-outputs-with-relative-file.patch.
  * Do not ship TODO, as it is not useful for users.
  * CI: disable the blhc job.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.6.0, no changes required.
  * Set Rules-Requires-Root: no.
  * Rename debian/docs to debian/kdevelop-pg-qt.docs, to make it clear to which
    package it refers.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Sep 2021 11:41:29 +0200

kdevelop-pg-qt (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Feb 2020 19:14:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-Build-Depends: debhelper (>= 11~), cmake (>= 3.0), bison, flex,
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.0), bison, flex,
  extra-cmake-modules (>= 5.14.0),
  qtbase5-dev (>= 5.5.0),
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt

## kdevelop-pg-qt 2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-project(kdevelop-pg-qt VERSION 2.2.1)
+project(kdevelop-pg-qt VERSION 2.2.2)
 
 find_package(ECM 5.14.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -81,10 +81,4 @@
   add_subdirectory(tests)
 endif()
 
-include(CTest)
-
-# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
-# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
-configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)
-
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

ecm_add_test(testlocationtable.cpp LINK_LIBRARIES Qt5::Core Qt5::Test)
ecm_add_test(testmemorypool.cpp LINK_LIBRARIES Qt5::Core Qt5::Test)
ecm_add_test(benchmarks.cpp LINK_LIBRARIES Qt5::Core Qt5::Test)

=== examples/cc/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_SOURCE_DIR}/cclexer.cpp
         PROPERTIES
-            GENERATED TUE
+            GENERATED TRUE
             SKIP_AUTOMOC ON
         )
 ELSE(FLEX_EXECUTABLE)

=== examples/foolisp/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-project(foolisp_lexer)
-
 set(parser_STAT_SRCS
     foolisptest.cpp
     )

=== examples/php/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-project(php_lexer)
-
 set(parser_STAT_SRCS
   phptest.cpp
 )

=== debian/changelog ===
kdevelop-pg-qt (2.2.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:36 +1100

kdevelop-pg-qt (2.2.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:52:52 +0000

kdevelop-pg-qt (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Add a minimal debian/upstream/metadata file.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Jan 2023 00:24:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kdevelop-pg-qt
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.0), bison, flex,
  extra-cmake-modules (>= 5.14.0),
  qtbase5-dev (>= 5.5.0),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt.git
